SILCD(8)

NAME
silcd - SILC server

SYNOPSIS
silcd [ -f file | -d | -D | -x | -h | -F | -C path | -V ]

DESCRIPTION
Silcd is a server for SILC, Secure Internet Live Conferencing network.

OPTIONS
-f FILE Read configuration from FILE

-d Enable debugging (Implies -F)

-D LEVEL Enable debug messages of level LEVEL and lower (Implies -F)

-x Enable hexdumps (Implies -d)

-F Don't fork. Run silcd on foreground.

-h Display help message

-V Display version

-C PATH Create new public key pair. See KEY GENERATION for options.

LONG OPTIONS
--config-file=FILE Same as -f

--debug=STRING Same as -d, limit to messages *STRING*

--debug-level=LEVEL Same as -D

--hexdump Same as -x

--foreground Same as -F

--version Same as -V

--create-key-pair=PATH Same as -C

KEY GENERATION
-C must be followed directly with a path to directory into which the private and public keys will be written to. When generating new key pair for silcd (-C), the following extra switches apply:

--pkcs=PKCS Set the public key algorithm of public key pair. For example rsa.

--bits=VALUE Set the length of public key pair, in bits.

--identifier=ID Set ID as public key identifier.

The identifier has the format of:

UN=<username>, HN=<hostname or IP>, RN=<real name>, E=<email>, O=<organization>, C=<country>

Both UN and HN are mandatory, all the rest are optional but recommended. If no --identifier is used, an identifier will be created automatically.

Example:

silcd -C /etc/silcd --identifier="UN=foobar, HN=foo.bar.com, RN=Foo T. Bar, E=foo@bar.com, C=FI"

FILES
There are two configuration files for silcd: /etc/silc/silcd.conf for server configuration and /etc/silc/silcalgs.conf for SIM (SILC Modules) configuration. Do note that silcalgs.conf is only needed if cryptographic algorithms are built as separate modules.

SEE ALSO
silc(1), silcd.conf(5)

NETWORK RESOURCES
Homepage: http://silcnet.org

AUTHOR
SILC is designed and written by Pekka Riikonen <priikone@iki.fi> and rest of the SILC Project.

This manpage was written by Mika 'Bostik' Boström <bostik@lut.fi>

See CREDITS for full list of contributors.